## ESorter

ESorter

## Functions

gint | e_sorter_model_to_sorted ()
gint | e_sorter_sorted_to_model ()
void | e_sorter_get_model_to_sorted_array ()
void | e_sorter_get_sorted_to_model_array ()
gboolean | e_sorter_needs_sorting ()

## Types and Values

| ESorter

## Object Hierarchy

        GInterface
        ╰── ESorter

## Prerequisites

ESorter requires GObject.

## Known Implementations

ESorter is implemented by ESorterArray and ETableSorter.

## Description

## Functions

### e_sorter_model_to_sorted ()

    gint
    e_sorter_model_to_sorted (ESorter *sorter,
                              gint row);

### e_sorter_sorted_to_model ()

    gint
    e_sorter_sorted_to_model (ESorter *sorter,
                              gint row);

### e_sorter_get_model_to_sorted_array ()

    void
    e_sorter_get_model_to_sorted_array (ESorter *sorter,
                                        gint **array,
                                        gint *count);

### e_sorter_get_sorted_to_model_array ()

    void
    e_sorter_get_sorted_to_model_array (ESorter *sorter,
                                        gint **array,
                                        gint *count);

### e_sorter_needs_sorting ()

    gboolean
    e_sorter_needs_sorting (ESorter *sorter);

## Types and Values

### ESorter

    typedef struct _ESorter ESorter;